{ config, pkgs, lib, ... }:

{
  imports = [ ../default.nix ];
  users.users.nyadmin = {
   isNormalUser = true;
   shell = pkgs.zsh;
   home = "/home/nyadmin";
   description = "Administrator~";
   extraGroups = [ "wheel" "kvm" "libvirt" "docker" ];
   initialHashedPassword = "$y$j9T$XguIcj/AVXsWW/MxSYAGh0$TivGAa0z8KNCli2mKTd24vtqimpadNzqMFwfbeh0p30";
   openssh.authorizedKeys.keys = [
     "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOVgHcJ9C8TD515x+KqFKNYUa6IZML6LU3FWovmDIvyZ" ];
  };
}
